Subject: Re: [RFC] powerpc: add support for new hcall H_BEST_ENERGY

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 07 Apr 2010 15:13:38 +1000

On Wed, 2010-04-07 at 10:27 +0530, Vaidyanathan Srinivasan wrote:

> > Check the result. Also that's not a nice way to do that, you should look
> > for /cpus by path I reckon.
> 
> I will check the return code, but why do you feel getting the node by
> path is better?  Is there any race, or we may have duplicate "cpus"
> node?

Well, you never really know what might be down the device-tree :-) /cpus
is well defined where it is, while god knows what would happen if
somebody had the weird idea to have something called "cpus" below some
device driver for whatever reason they might even.

Cheers,
Ben.